Skip to main content
`Ctrl`+`K`

# DMPlexGetPointGlobalField

get location of point field data in global `Vec`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPointGlobalField(DM dm, PetscInt point, PetscInt field, PetscInt *start, PetscInt *end)

Not Collective

## Input Parameters

- dm - `DM` defining the topological space

- point - topological point

- field - the field number

## Output Parameters

- start - start of point data; returns -(globalStart+1) if point is not owned

- end - end of point data; returns -(globalEnd+1) if point is not owned

## Note

This is a half open interval [start, end)

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetPointGlobal()`, `DMGetLocalSection()`, `PetscSectionGetOffset()`, `PetscSectionGetDof()`, `DMPlexPointGlobalRead()`, `DMPlexGetPointLocal()`, `DMPlexPointGlobalRef()`

## Level

intermediate

## Location

src/dm/impls/plex/plexpoint.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages